<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder:  Fichier source de inc/prime_numbers.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('prime__numbers_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">prime_numbers.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="prime__numbers_8h.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef _PRIME_NUMBERS_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define _PRIME_NUMBERS_H_</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keywordtype">int</span> <a class="code" href="prime__numbers_8h.html#a6282aaf95815944470f76e7d4d47f842">is_prime_number</a>(<span class="keywordtype">int</span> num);</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keywordtype">int</span> <a class="code" href="prime__numbers_8h.html#a25b43ccf08aab0eda316b94bbea76503">lower_prime_number</a>(<span class="keywordtype">int</span> num);</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keywordtype">int</span> <a class="code" href="prime__numbers_8h.html#a3c22abf33495ed06a74a72d4d389e2a6">upper_prime_number</a>(<span class="keywordtype">int</span> num);</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="prime__numbers_8h_html_a3c22abf33495ed06a74a72d4d389e2a6"><div class="ttname"><a href="prime__numbers_8h.html#a3c22abf33495ed06a74a72d4d389e2a6">upper_prime_number</a></div><div class="ttdeci">int upper_prime_number(int num)</div><div class="ttdoc">Calcul du nombre premier directement supérieur à num. </div><div class="ttdef"><b>Definition:</b> prime_numbers.c:50</div></div>
<div class="ttc" id="prime__numbers_8h_html_a6282aaf95815944470f76e7d4d47f842"><div class="ttname"><a href="prime__numbers_8h.html#a6282aaf95815944470f76e7d4d47f842">is_prime_number</a></div><div class="ttdeci">int is_prime_number(int num)</div><div class="ttdoc">Vérification si le nombre num est premier. </div><div class="ttdef"><b>Definition:</b> prime_numbers.c:20</div></div>
<div class="ttc" id="prime__numbers_8h_html_a25b43ccf08aab0eda316b94bbea76503"><div class="ttname"><a href="prime__numbers_8h.html#a25b43ccf08aab0eda316b94bbea76503">lower_prime_number</a></div><div class="ttdeci">int lower_prime_number(int num)</div><div class="ttdoc">Calcul du nombre premier directement inférieur à num. </div><div class="ttdef"><b>Definition:</b> prime_numbers.c:34</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li><li class="navelem"><a class="el" href="prime__numbers_8h.html">prime_numbers.h</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
